{
  "mappings": {
    "dynamic": "strict",
    "properties": {
      "mainImage": {
        "type": "keyword"
      },
      "spuid": {
        "type": "integer"
      },
      "skuId": {
        "type": "integer"
      },
      "mainTitle": {
        "type": "text"
      },
      "subTitle": {
        "type": "text"
      },
      "price": {
        "type": "scaled_float",
        "scaling_factor": 100
      },
      "productTypeValue": {
        "type": "integer"
      },
      "productTypeName": {
        "type": "text"
      },
      "productBrandValue": {
        "type": "integer"
      },
      "productBrandName": {
        "type": "text"
      },
      "productRuleValue": {
        "type": "integer"
      },
      "productRuleName": {
        "type": "text"
      },
      "productDesc": {
        "type": "text"
      }
    }
  }
}
